<?php

namespace Drupal\Tests\extra_field_configuration\Kernel;

use Drupal\extra_field_configuration\Plugin\ExtraFieldConfigurationDisplayManager;
use Drupal\KernelTests\KernelTestBase;
use PHPUnit_Framework_MockObject_MockObject;

class ExtraFieldConfigurationDisplayManagerTest extends KernelTestBase {

  /**
   * Modules required for tests.
   *
   * @var array string[]
   */
  public static $modules = [
    'extra_field',
    'extra_field_configuration',
  ];

  /**
   * The plugin manager under test.
   *
   * @var \Drupal\extra_field\Plugin\ExtraFieldDisplayManager|PHPUnit_Framework_MockObject_MockObject
   */
  protected $displayManager;

  protected function setUp() {
    parent::setUp();
    $this->displayManager = $this->createMock(ExtraFieldConfigurationDisplayManager::class, [
      'getDefinitions',
      'allEntityBundles',
    ], [
      $this->container->get('container.namespaces'),
      $this->container->get('cache.discovery'),
      $this->container->get('module_handler'),
      $this->container->get('entity_type.manager')
    ]);
  }

}
